=begin
Copyright (c) 2016 Camilo Muñoz

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
=end
#Mechanism.rb

# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'

if defined?(Encoding)
	PLUGINS = File.dirname(__FILE__).force_encoding("UTF-8")
else
	PLUGINS = File.dirname(__FILE__)
end

CONTAINER = File.dirname(PLUGINS)
LNAME = File.basename(__FILE__, ".*")
FOLDER = File.join(PLUGINS, LNAME)
# Set contants
URL = "N/A"
VERSION = "1.0.1"
CREATOR = "Camilo Muñoz"
COPYRIGHT = "#{CREATOR}, ©2016"
# Set other folders
STRINGS = File.join(FOLDER, "languages")
IMAGES = File.join(FOLDER, "icons")

# Set up translated constants
file = File.join(STRINGS, "#{Sketchup.get_locale.upcase}.strings")
if File.exist?(file)
	lines = IO.readlines(file)
else
	file = File.join(STRINGS, "EN-US.strings")
	if File.exist?(file)
		lines = IO.readlines(file)
	else
		lines = []
	end
end
lines.each { |line|
	line.chomp!
	next if line.empty? || line =~ /^[#]/
	next unless line =~ /[=]/
	eval(line) # Set CONSTANT="value"
}

# Create the extension.
EXT = SketchupExtension.new("#{NAME}", File.join(FOLDER, "create_mechanism"))
# Attach some nice info.
EXT.name        = "#{NAME}"
EXT.description = "#{NAME} #{TOOLSS}: #{DESC}"
EXT.version     = VERSION
EXT.copyright   = COPYRIGHT
EXT.creator     = CREATOR
ext = Sketchup.register_extension(EXT, true)